| FoxitPDFSDKforWeb v11.0.5 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
FormDesignerAddon Class Reference
UIExtension » addons

This addon provides form designer functionality and form widget properties editing functionality. More...

Inheritance diagram for FormDesignerAddon:

## Public Member Functions
| getPDFFormPropertiesService ()
| Retrieves the PDFFormPropertiesService instance for managing PDF form properties. More...
Public Member Functions inherited from UIXAddon
| afterMounted (root)
| Lifecycle method: this method is called after the UI component element mout into DOM tree. More...
| beforeMounted (root)
| Lifecycle method: this hook is called before the UI component element mount into DOM tree. More...
| destroy ()
| Lifecycle method: to override this method to implement the destroying logics. This method is called when a PDFUI instance is destroyed or the addon is dettached from PDFUI. More...
| fragments ()
| UI fragment configurations of this addon. More...
| getI18NResources ()
| Get I18n resources. More details about I18Next, please visit: https://www.i18next.com/. More...
static | getName ()
| Returns the name of an addon. More...
| init (pdfui)
| Called when initializing this addon instance. More...
| pdfViewerCreated (pdfviewer)
| Lifecycle method: this method is called when PDFViewer instance has been created and is before the afterMounted method . More...

## Additional Inherited Members
Protected Member Functions inherited from UIXAddon
| receiveAction (actionName, args=[])
| When the user calls PDFUI.callAddon, the receiveAction method on the corresponding Addon will be triggered. Addon exposes the API through this method and different action values. In the custom Addon subclass, you should implement this method to implement exposed APIs. More...
Static Protected Member Functions inherited from UIXAddon
static | initOnLoad ()
| Called after loading this addon, and only called once, The UI modules, components and controllers should be initialized and registered in this function.

## Detailed Description

This addon provides form designer functionality and form widget properties editing functionality.

Since
  11.0.0

## Member Function Documentation

## ◆ getPDFFormPropertiesService()

FormDesignerAddon::getPDFFormPropertiesService | ( |  | ) |
| inline

Retrieves the PDFFormPropertiesService instance for managing PDF form properties.

Returns
  PDFFormPropertiesService - The instance of PDFFormPropertiesService.

Since
  11.0.0

@2025 Foxit Software Incorporated. All rights reserved.